# cnos_banner – Manage multiline banners on Lenovo CNOS devices

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This will configure both login and motd banners on remote devices running Lenovo CNOS. It allows playbooks to add or remote banner text from the active running configuration.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

banner
- / required

Choices:
- login
- motd

Specifies which banner should be configured on the remote device. In Ansible 2.8 and earlier only login and motd were supported.

provider
-
added in 2.8

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli`.
For more information please see the CNOS Platform Options guide.

A dict object containing connection details.

| auth_pass - |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean

Choices:
- no ←
- yes

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

| host - / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password - |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port - | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile - |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE`will be used instead.
| timeout - | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username - |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.

state
-

Choices:
- present ←
- absent

Specifies whether or not the configuration is present in the current devices active running configuration.

text - |  | The banner text that should be present in the remote device running configuration. This argument accepts a multiline string, with no empty lines. Requires state=present.

## Notes

Note

- Tested against CNOS 10.8.1

## Examples

    - name: configure the login banner
      cnos_banner:
        banner: login
        text: |
          this is my login banner
          that contains a multiline
          string
        state: present

    - name: remove the motd banner
      cnos_banner:
        banner: motd
        state: absent

    - name: Configure banner from file
      cnos_banner:
        banner:  motd
        text: "{{ lookup('file', './config_partial/raw_banner.cfg') }}"
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['banner login', 'this is my login banner', 'that contains a multiline', 'string']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anil Kumar Muraleedharan (@amuraleedhar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.